
import ReactQuill from "react-quill";
import { TProofreadItem } from "../../views/types";
const Inline = ReactQuill.Quill.import('blots/inline');

class DeleteParserBlot extends Inline {
    static tagName = "del";
    static className = "proodfread-delete-item";
    static blotName = "delete";

    static create(data: TProofreadItem) {
        // if(!data.correctedContent){
        //     return super.create(data)
        // }
        const node = super.create() as HTMLElement;
        
        node.setAttribute('data-proofread-id', String(data.id))
        node.classList.add(`proofread-item-${data.id}`)
        node.classList.add(`proofread-item`)
        return node;
    }
    static formats(node: HTMLElement) {
        console.log(node.innerText,node.getAttribute('data-proofread-id'),'<--',node.className)
        return {
            id: node.getAttribute("data-proofread-id"),
        }
    }
}

ReactQuill.Quill.register(DeleteParserBlot, true);