import ReactQuill from "react-quill";
const Inline = ReactQuill.Quill.import('blots/inline');

class InsertParserBlot extends Inline {
    static tagName = "span";
    static className = "proodfread-insert-item";
    static blotName = "insert";
    static create(data: {origin:string;text:string;}) {
        const node = super.create() as HTMLElement;
        node.setAttribute('data-origin',data.origin)
        node.setAttribute('data-text',data.text)
        node.innerHTML = ''
        return node;
    }
    static formats(node: HTMLElement){
        return {
            origin: node.getAttribute("data-origin"),
            text: node.getAttribute("data-text"),
        }
    }
}

ReactQuill.Quill.register(InsertParserBlot, true);