import ReactQuill from "react-quill";
import { TProofreadItem } from "../../views/types";
const Inline = ReactQuill.Quill.import('blots/inline');

class ReplaceParserBlot extends Inline {
    static tagName = "span";
    static className = "proofread-item";
    static blotName = "replace";
    // static create(data: {origin:string;text:string;}) {
    //     const node = super.create() as HTMLElement;
    //     node.setAttribute('data-origin',data.origin)
    //     node.setAttribute('data-text',data.text)
    //     return node;
    // }
    // static formats(node: HTMLElement){
    //     return {
    //         origin: node.getAttribute("data-origin"),
    //         text: node.getAttribute("data-text"),
    //     }
    // }
    static create(data: TProofreadItem) {
        // if(!data.correctedContent){
        //     return super.create(data)
        // }
        const node = super.create() as HTMLElement;

        node.setAttribute('data-proofread-id', String(data.id))
        node.classList.add(`proofread-item-${data.id}`)
        node.classList.add(`proofread-${data.action || ''}-item`)
        return node;
    }
    static formats(node: HTMLElement) {
        // console.log(node.innerText, node.getAttribute('data-proofread-id'), '<--', node.className)
        return {
            id: Number(node.getAttribute("data-proofread-id")),
        }
    }
}

ReactQuill.Quill.register(ReplaceParserBlot, true);