import React from "react";
import { Resizable } from 're-resizable';
import './App.css'

const ResizeDemo: React.FC = () => {
  const [width, setWidth] = React.useState(320);
  return <div className="editor-resize-demo">
    <div className="editor-container">
      <div className="inner"></div>
    </div>
    <Resizable
      defaultSize={{
        width: width,
        height: '100%'
        
      }}
      minWidth={320}
      onResizeStop={(e, direction, ref, d) => {
        console.log(
          e, direction, ref, d
        )
        setWidth(width + d.width);
      }}
    >
      <div className="panel"></div>
    </Resizable>
  </div>
}

export default ResizeDemo;