import { useEditor, EditorContent, FloatingMenu, BubbleMenu } from '@tiptap/react'
import StarterKit from '@tiptap/starter-kit'
import { TiptapMenuBar } from './toolbar'
import './editor.less'

const extensions = [
    StarterKit,
]
const content = `
<p>该摄<span class="proodfread-insert-item" data-origin="" data-text="像">像</span><strong><em>头头</em></strong>可以在单<strong><span class="proofread-item proofread-item-undefined proofread--item" data-proofread-id="undefined">次爆</span></strong><em>光中以每秒</em> 480 万帧的速度采集动态的事件</p><p>的图像。</p><p><br></p><p>采集快速运动过程（如落下的水滴或分子相互作用）的 青晰 图像，我们需要使用昂贵的超快摄像头（每秒可采集数百万张图像）。据国外媒报道，加拿大国立科学研究院（INRS）宣布开发出新摄像头，能够以极低的成本实现超快速成像，并<strong>适合<em>多种(many)</em></strong>应用，例如实时监测药物输送或用于自动驾驶的高速激光雷达系统。</p>
`
function Editor() {
    const editor = useEditor({
        extensions,
        content,
    })
    return (<div className='tiptap-container'>
        <div className="toolbars">
            <TiptapMenuBar editor={editor} />
        </div>
        <EditorContent className='tiptap-editor' editor={editor} />
        <FloatingMenu>This is the floating menu</FloatingMenu>
        <BubbleMenu>
            <button
                onClick={() => editor?.chain().focus().toggleBold().run()}
                className={editor?.isActive('bold') ? 'is-active' : ''}
            >
                Bold
            </button>
            <button
                onClick={() => editor?.chain().focus().toggleItalic().run()}
                className={editor?.isActive('italic') ? 'is-active' : ''}
            >
                Italic
            </button>
            <button
                onClick={() => editor?.chain().focus().toggleStrike().run()}
                className={editor?.isActive('strike') ? 'is-active' : ''}
            >
                Strike
            </button>
        </BubbleMenu>
    </div>
    );
}

export default Editor